Bug 202981 - databases/influxdb: update to 0.9.4.1
Summary: databases/influxdb: update to 0.9.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-09 02:12 UTC by Johannes Jost Meixner
Modified: 2015-09-30 15:05 UTC (History)
4 users (show)

See Also:
cheffo: maintainer-feedback+


Attachments
update influxdb to 0.9.3, bump dependencies (8.51 KB, patch)
2015-09-09 02:54 UTC, Johannes Jost Meixner
no flags Details | Diff
poudriere bulk log for influxdb-0.9.3 (12.72 KB, text/x-log)
2015-09-09 02:58 UTC, Johannes Jost Meixner
no flags Details
update influxdb to 0.9.4, bump dependencies (7.63 KB, patch)
2015-09-15 20:10 UTC, Johannes Jost Meixner
no flags Details | Diff
update influxdb to 0.9.4, bump dependencies, redirect logs (8.56 KB, patch)
2015-09-16 06:52 UTC, Johannes Jost Meixner
xmj: maintainer-approval?
Details | Diff
patch to upgrade influxdb to latest stable version 0.9.4.1 (8.66 KB, patch)
2015-09-24 12:47 UTC, cheffo
cheffo: maintainer-approval+
Details | Diff
poudriere testport output for influxdb-0.9.4.1 (13.38 KB, text/plain)
2015-09-24 12:49 UTC, cheffo
no flags Details
poudriere portlint output for influxdb-0.9.4.1 (365 bytes, text/plain)
2015-09-24 12:49 UTC, cheffo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2015-09-09 02:12:19 UTC
Update databases/influxdb to 0.9.3, as well as all its dependencies contained within the Makefile.
Comment 1 Johannes Jost Meixner freebsd_committer 2015-09-09 02:54:41 UTC
Created attachment 160850 [details]
update influxdb to 0.9.3, bump dependencies
Comment 2 Johannes Jost Meixner freebsd_committer 2015-09-09 02:58:47 UTC
Created attachment 160851 [details]
poudriere bulk log for influxdb-0.9.3

influxdb-0.9.3 tests fine in poudriere
Comment 3 Johannes Jost Meixner freebsd_committer 2015-09-15 20:10:36 UTC
Created attachment 161077 [details]
update influxdb to 0.9.4, bump dependencies

Update to 0.9.4, adds a few stats features
Comment 4 Johannes Jost Meixner freebsd_committer 2015-09-16 06:52:16 UTC
Created attachment 161099 [details]
update influxdb to 0.9.4, bump dependencies, redirect logs

- updates influxdb to 0.9.4
- bump dependencies where possible
- redirect logs to /var/run/influxdb/influxdb.log
Comment 5 Kevin Bowling freebsd_committer 2015-09-16 07:38:02 UTC
I've tested https://bugs.freebsd.org/bugzilla/attachment.cgi?id=161099 and it LGTM
Comment 6 cheffo 2015-09-18 08:56:39 UTC
sorry I had some problems with upgrading my build infrastructure, but now OK.

There is a 9.4.1 release:

Fix race in cluster RPC serialization
Point was accessed from multiple goroutines and there was a race on the the internal
cachedFields and cachedName fields.  Accessing these fields is unnecessary work as it
requires the point to be unmarshal into Go types and then remarshaled back into protbuf
types.  Instead, just send the line protocol version already available on the point via
the protobuf.  This avoid accesssing these cached fields and eliminates some extra work.

Possible fix for #4069

I'll work on patch based on your update.
Comment 7 cheffo 2015-09-24 12:47:33 UTC
Created attachment 161337 [details]
patch to upgrade influxdb to latest stable version 0.9.4.1
Comment 8 cheffo 2015-09-24 12:49:12 UTC
Created attachment 161338 [details]
poudriere testport output for influxdb-0.9.4.1
Comment 9 cheffo 2015-09-24 12:49:38 UTC
Created attachment 161339 [details]
poudriere portlint output for influxdb-0.9.4.1
Comment 10 cheffo 2015-09-24 12:51:00 UTC
Patch to upgrade influxdb to latest stable version 0.9.4.1 (8.66 KB, patch) approved by maintainer.

Thanks!
Comment 11 Johannes Jost Meixner freebsd_committer 2015-09-30 13:55:49 UTC
Thanks, I'm currently taking it for a test spin.
Comment 12 commit-hook freebsd_committer 2015-09-30 14:25:36 UTC
A commit references this bug:

Author: swills
Date: Wed Sep 30 14:25:11 UTC 2015
New revision: 398216
URL: https://svnweb.freebsd.org/changeset/ports/398216

Log:
  databases/influxdb: update to 0.9.4.1

  PR:		202981
  Submitted by:	cheffo@freebsd-bg.org (maintainer)

Changes:
  head/databases/influxdb/Makefile
  head/databases/influxdb/distinfo
  head/databases/influxdb/files/influxd.in
Comment 13 Steve Wills freebsd_committer 2015-09-30 15:05:03 UTC
Committed with one slight change (added / after log dir in init script, just in case). Thanks!